#include "BootLoader/boot_loader.hpp"
#include <PSX/System/IOPorts/DMA_IO.hpp>
#include <stdio.h>

using namespace DMA::Port;

namespace JabyEngine {
    static void enable_DMA() {
        DPCR.write(DPCR.read() | DMAControlRegister::SPUEnable | DMAControlRegister::GPUEnable);
    }

    void start() {
        printf("Hello Planschbecken\n");
        enable_DMA();

        SPU::stop_voices();
        GPU::display_logo();
        //Load picture here
        //Pause??

        //Do not setup GPU for now
        //GPU::setup();
        SPU::setup();
        printf("Setup done!\n");
    }
}